Bug 799163 - Content deployments for existing exploded applications is done as zipped deployment (EAP4)
Content deployments for existing exploded applications is done as zipped depl...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.3
Unspecified Unspecified
medium Severity urgent (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 795851
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 18:24 EST by Stefan Negrea
Modified: 2013-09-03 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 795851
Environment:
Last Closed: 2013-09-03 11:10:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-03-01 18:24:25 EST
Summary:
New content deployment for existing exploded applications using content system causes deployment to become zipped in EAP4.x.

How reproducible:
Always

Steps to Reproduce:
1. EAP4.3 started in default profile inventoried in JON.
2. Deploy new content for an existing exploded WAR application.
3. Wait for deployment to complete.
4. Assert that deployment is exploded on filesystem (in EAP deploy dir).
5. Assert that new content is reachable on EAP via HTTP.
  
Actual results:
- on file system it is no longer exploded, you'll find archive file (incorrect behaviour)
- modified version of the application becomes available via HTTP (correct behaviour)

Expected results:
- modified version of the application becomes available via HTTP
- on file system, deployment remains exploded
Comment 2 Stefan Negrea 2012-05-22 08:46:03 EDT
I retested this and the issue has been resolved. 

I also verified that there is no similar problem for the AS5 and Tomcat plugins. The AS5 plugin uses a different deployment model, while Tomcat did not require the fix.
Comment 3 Filip Brychta 2012-05-29 02:36:03 EDT
Verified on jon-server-3.1.0.ER6
Comment 4 Heiko W. Rupp 2013-09-03 11:10:44 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.